$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
    $(".tbody").on("keyup change blur focus", ".qty, .rate, .amount,.discperc,.discamt,.vatperc", calDetail);
    $("body").on("focus blur change", ".vouchdt", getvoucher);
//    $("body").on("change blur", ".cmbparty", getgst);
    $("body").on("blur", '.vatperc', autoaddrow);
    $("#scancbill").hide();
//    $("body").on("change blur", ".vouchdt", chkSaleDt);
//    $("body").on("click", "#submit ,#cancel", hide_but);

//    function chkSaleDt() {
//        var vouchdt = $(".vouchdt").val();
//        $.post('chkSaleLock.php', {vouchdt: vouchdt}, function (data) {
//            if (data > 0) {
//                $("#submit").hide();
//                $('form').on('keyup keypress', function (e) {
//                    var keyCode = e.keyCode || e.which;
//                    if (keyCode === 13) {
//                        e.preventDefault();
//                        return false;
//                    }
//                });
//            } else {
//                $("#submit").show();
//
//            }
//
//        });
//    }


    var canc_flag = $(".canc_flag").val();
    if (canc_flag != '') {
        $("#scancbill").hide();
        $("#hedit").hide();

    }


    $("#hdelete").hide();


    $("#cancbill").click(function () {
        $("#cancmodel").modal('show');
    });

    function autoaddrow() {
        if ($(this).closest('tr').is(":last-child")) {
            AddRows();
        }
    }

    var lrno = $('.lrno').val();
    if (lrno != '') {
        $(".lrdetail").show();
    } else {
        $(".lrdetail").hide();
    }

    function getvoucher() {
        var date = new Date($(".vouchdt").val()),
                month = (date.getMonth() + 1).toString(),
                vouchno = $('.vouchno').val(),
                voucher = '0' + month + vouchno;
        $('.monno').val(month);
        $('.voucher').val(voucher);
    }


    $(".lrtab").click(function () {
        $(".lrdetail").animate({
            height: 'toggle'
        });
    });
//    $('#hedit').click(function () {
//        var addflag = $('.addflag').val();
//        if (addflag != 1) {
//            $('.oms').prop("disabled", true);
//        } else {
//            $('.oms').prop("disabled", false);
//        }
//    });
//    function getgst() {
//        var party = $('.cmbparty').val();
//        $.post('getcustgst.php', {party: party}, function (data) {
////            if (data.gstno != 0) {
//            $('.gstno').val(data.gstno);
////            }
////            $('.mobile').val(data.mobile);
//            $('.transporter').val(data.transporter).trigger('change');
//        }, 'json');
//    }


    function calDetail() {
        var tr = $(this).closest("tr"),
                cartqty = tr.find(".cartqty").val(),
                qty = tr.find(".qty").val(),
                totqty = cartqty * qty,
                rate = tr.find(".rate").val(),
                amount = (rate * qty).toFixed(2),
                discperc = tr.find(".discperc").val(),
                discamt = 0,
                vatperc = tr.find(".vatperc").val(),
                subtot = 0,
                total = 0,
                vat = 0;

        if (discperc > 0) {
            discamt = ((discperc * amount) / 100).toFixed(2);
        } else {
            discamt = tr.find(".discamt").val();
        }
        subtot = amount - discamt;
        if (vatperc > 0) {
            vat = ((vatperc * subtot) / 100).toFixed(2);
        } else {
            vat = 0;
        }
        total = (parseFloat(subtot) + parseFloat(vat)).toFixed(2);
        tr.find(".totqty").val(totqty);
        tr.find(".amount").val(amount);
        tr.find(".discamt").val(discamt);
        tr.find(".vat").val(vat);
        tr.find(".total").val(total);
        var totamt = 0,
                totdisc = 0,
                totvat = 0,
                tottotal = 0,
                totadv = 0,
                totbal = 0;
        $(".amount").each(function () {
            if (!isNaN(this.value) && this.value.lenght != 0) {
                totamt += parseFloat(this.value);
            }
        });
        $(".discamt").each(function () {
            if (!isNaN(this.value) && this.value.lenght != 0) {
                totdisc += parseFloat(this.value);
            }
        });
        $(".vat").each(function () {
            if (!isNaN(this.value) && this.value.lenght != 0) {
                totvat += parseFloat(this.value);
            }
        });
        $(".total").each(function () {
            if (!isNaN(this.value) && this.value.lenght != 0) {
                tottotal += parseFloat(this.value);
            }
        });
        $(".totamt").val(totamt);
        $(".totdisc").val(totdisc);
        $(".totvat").val(totvat);
        $(".tottotal").val(tottotal);
       
    }


    $('#addnew').click(function () {
        AddRows();
    });
    function remove() {
        $(this).closest("tr").remove();
        calDetail();
        caltran();
    }

    function AddRows() {
        var ctr = $('#items').val();
        var prodtype = $('.prodtype').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var focusFld = ".focusFld_" + ctr;
        ctr++;
        $('#items').val(ctr);
        $.post('sale_add.php', {ctr: ctr, hide: hide_check, prodtype: prodtype}, function (data) {
            $(data).appendTo('.tbody');

            $(focusFld).focus();
        });
    }



});